Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044605
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajorhave not tried2020-07-13 17:062020-09-03 08:47
ReportershuehnerView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044605: module creating wiki documentation is causing wiki edits with formal changes only (missing stable ordering)

DescriptionCode from this module:
https://gitlab.com/openbravo/tools/wiki/org.openbravo.utility.wikidoc [^]

which is used in ci job called 'documentation' running weekly

is uploading different version of wiki 'randomly' because it create same content but in different order.

Apart of being conceptually wrong also makes:
- Reviewing history of changes in wiki very hard
- Probably having performance, database size impact in the wiki server itself (unclear how big)

Example change:
diff -ur wiki-updated-dump/Warehouse-Management.wiki wiki-pi/Warehouse-Management.wiki
--- wiki-updated-dump/Warehouse-Management.wiki 2020-07-13 15:24:11.698113035 +0200
+++ wiki-pi/Warehouse-Management.wiki 2020-07-13 15:10:33.704009145 +0200
@@ -24,8 +24,8 @@
 ==== Setup ====
 {{ManualDoc:SectionWarehouse Management Setup(Openbravo Admin)}}
 
-*[[Process Price Difference Adjustment | Process Price Difference Adjustment]]
 *[[Reset Unit Cost | Reset Unit Cost]]
+*[[Process Price Difference Adjustment | Process Price Difference Adjustment]]
 *[[Warehouse and Storage Bins | Warehouse and Storage Bins]]
 *[[Costing Rules | Costing Rules]]
 *[[Costing Algorithm | Costing Algorithm]]
Steps To Reproduce-
Proposed SolutionReview code reading content from database and review if every query does have an explicit 'stable' order by.
Doing SQL queries without and 'order by' by definition can have random output order even if 'most of the time' the order is the same.
TagsNo tags attached.
Attached Filespng file icon WikiBeforeAfter.png [^] (265,844 bytes) 2020-08-30 11:48

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0044606 newplatform module creating wiki documentation is not running cleanly but has errors and warnings 

-  Notes
(0121421)
shuehner (administrator)
2020-07-13 17:08

One day to find those formal wrong edits is to check 'User contributions' page of the DocBot wiki user which can be found at this link:
http://wiki.openbravo.com/wiki/Special:Contributions/DocBot [^]

Example unwanted edit:
http://wiki.openbravo.com/w/index.php?title=ERP/3.0/Developers_Guide/Database_Model/org.openbravo.userinterface.selector/OBUISEL_Selector_Field&diff=prev&oldid=253321 [^]

History of that wiki page shows lots of edit from which many are unwanted and effect of same bug:
http://wiki.openbravo.com/w/index.php?title=ERP/3.0/Developers_Guide/Database_Model/org.openbravo.userinterface.selector/OBUISEL_Selector_Field&action=history [^]
(0121422)
shuehner (administrator)
2020-07-13 17:11

Note that the same module has a couple of minor issues reported in the related 44606 bug. When fixing / testing this bug if possible would be good to address those 44606 issues also.
(0122449)
hgbot (developer)
2020-08-30 11:32

Merge Request created: https://gitlab.com/openbravo/tools/wiki/org.openbravo.utility.wikidoc/-/merge_requests/1 [^]
(0122450)
AugustoMauch (developer)
2020-08-30 11:49

Attached a comparison of the Warehouse Management window before and after the changes
(0122559)
hgbot (developer)
2020-09-03 08:47

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/tools/wiki/org.openbravo.utility.wikidoc [^]
Changeset: 1080f8a8435dc8a3e7a63aea7fa005c17a846eb7
Author: Augusto Mauch <augusto.mauch@openbravo.com>
Date: 2020-08-30T11:28:19+02:00
URL: https://gitlab.com/openbravo/tools/wiki/org.openbravo.utility.wikidoc/-/commit/1080f8a8435dc8a3e7a63aea7fa005c17a846eb7 [^]

Fixes ISSUE-44605: Sort menu entries to prevent unneeded wiki changes

---
M src/org/openbravo/utility/wikidoc/document/SectionPage.java
---
(0122560)
hgbot (developer)
2020-09-03 08:47

Merge request merged: https://gitlab.com/openbravo/tools/wiki/org.openbravo.utility.wikidoc/-/merge_requests/1 [^]
(0122561)
hgbot (developer)
2020-09-03 08:47

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/tools/wiki/org.openbravo.utility.wikidoc [^]
Changeset: 76e21af42384d53028aea755f19ba62610cbbd21
Author: Augusto Mauch <augusto.mauch@openbravo.com>
Date: 2020-08-30T11:46:56+02:00
URL: https://gitlab.com/openbravo/tools/wiki/org.openbravo.utility.wikidoc/-/commit/76e21af42384d53028aea755f19ba62610cbbd21 [^]

Fixes ISSUE-44605: Sort columns to prevent unneeded wiki changes in database model

---
M src/org/openbravo/utility/wikidoc/model/db/TablePage.java
---

- Issue History
Date Modified Username Field Change
2020-07-13 17:06 shuehner New Issue
2020-07-13 17:06 shuehner Assigned To => platform
2020-07-13 17:06 shuehner Modules => Core
2020-07-13 17:06 shuehner Triggers an Emergency Pack => No
2020-07-13 17:08 shuehner Note Added: 0121421
2020-07-13 17:10 shuehner Relationship added related to 0044606
2020-07-13 17:11 shuehner Note Added: 0121422
2020-08-30 11:32 hgbot Note Added: 0122449
2020-08-30 11:48 AugustoMauch File Added: WikiBeforeAfter.png
2020-08-30 11:49 AugustoMauch Note Added: 0122450
2020-08-30 11:52 AugustoMauch Assigned To platform => AugustoMauch
2020-08-30 11:53 AugustoMauch Status new => scheduled
2020-09-03 08:47 hgbot Resolution open => fixed
2020-09-03 08:47 hgbot Status scheduled => closed
2020-09-03 08:47 hgbot Note Added: 0122559
2020-09-03 08:47 hgbot Note Added: 0122560
2020-09-03 08:47 hgbot Note Added: 0122561


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker